sayren Docs
스토어프론트 호스팅

스토어프론트 작업 트리 파일 지우기

POST
/v1/storefront/site/files/delete

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Request Body

application/json
  1. body
path*string

작업 트리 상대 경로 (예: src/routes/index.tsx). NFC로 정규화한다

expectedHash?string

주면 지금 해시가 같을 때만 지운다

Match^[0-9a-f]{64}$

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X POST 'https://api.sayren.io/v1/storefront/site/files/delete' \  -H 'X-Store-Id: string' \  -H 'Content-Type: application/json' \  -d '{  "path": "string"}'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "path": "string",    "deleted": true  },  "error": null}